local mod_name = minetest.get_current_modname()
local S = minetest.get_translator(mod_name)

minetest.register_node("aom_underworld:fog", {
    description = S("Fog"),
    groups = {
        nature = 1, underworld = 1,
        solid = 0, suffocates = 0, unobtainable = 1,
    },
    tiles = {
        {
            name = "aom_underworld_fog.png^[colorize:#7024d040:255",
            backface_culling = false,
        },
    },
    use_texture_alpha = "blend",
    drawtype = 'liquid',
    paramtype = 'light',
    -- drawtype = "glasslike",
    floodable = true,
    pointable = false,
    -- move_resistance = 1,
    walkable = false,
    buildable_to = true,
    drop = "",
    -- sounds = aom_sounds.default_stone(),
    light_source = aom_underworld.lava_rock_light,
    post_effect_color = {a=150, r=0x43, g=0x3C, b=0x6C},
})

minetest.register_node("aom_underworld:fog_10", {
    description = S("Fog"),
    groups = {
        nature = 1, underworld = 1,
        solid = 0, suffocates = 0, unobtainable = 1,
    },
    tiles = {
        {
            name = "aom_underworld_fog.png^[colorize:#7024d040:255",
            backface_culling = false,
        },
    },
    use_texture_alpha = "blend",
    drawtype = 'liquid',
    paramtype = 'light',
    -- drawtype = "glasslike",
    floodable = true,
    pointable = false,
    -- move_resistance = 1,
    walkable = false,
    buildable_to = true,
    drop = "",
    -- sounds = aom_sounds.default_stone(),
    light_source = 10,
    post_effect_color = {a=150, r=0x43, g=0x3C, b=0x6C},
})
